This update is strongly recommended.

It fixes following security flaws:

MFSA 2007-39 Referer-spoofing via window.location race condition
MFSA 2007-38 Memory corruption vulnerabilities (rv:1.8.1.10)
MFSA 2007-37 jar: URI scheme XSS hazard

But this is not all….

When restarting Firefox to apply the update I was surprised with the message that I cannot install the update because I’m not an owner of the file or do not have administrative privileges…..

After several retries I realized that there is another user logged on my PC and it was using Firefox 🙁 after closing this extra copy update was installed and now I use latest version.

Comments

Leave a Reply